/*
Copyright (c) MONAI Consortium
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
    http://www.apache.org/licenses/LICENSE-2.0
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

.segmentationList
  .subtitle
    font-size: 14px
    text-decoration: underline
    font-weight 500

  .segSection
    height: 320px;
    overflow-y: auto;
    overflow-x: hidden;
    border: 1px solid;

  .segTable
    border-collapse: collapse;
    border: 1px dotted;
    width: 100%;
    display: block;
    white-space: nowrap;
    overflow-x: auto;

  .segTable tr:nth-child(even) {
    background-color: #333333
  }

  .segTable tr th
    background-color: #333333;
    border: 1px dotted;
    padding: 2px;

  .segTable tr td
    padding: 2px;

  .text-center td
    text-align: center;

  .segColor
    height: 15px;
    width: 15px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
  .segEdit
    display: flex

  &.disabled
    cursor: not-allowed;
    -webkit-box-shadow: none;
    box-shadow: none;
    opacity: .65;
